/***************************************************************
 * Name:      wx015Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-01-01
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifndef WX015MAIN_H
#define WX015MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <thread>
#include <wx/statusbr.h>
//#include <wx/generic/statusbr.h>
#include <wx/imagpng.h>
#include "wx015App.h"

class wx015Frame: public wxFrame
{
    public:
        wx015Frame(wxFrame *frame, const wxString& title);
        ~wx015Frame();
    private:
        enum
        {
            idMenuQuit = 1000,
            idMenuAbout,
            idMenuVerde,
            idMenuRojo,
            idBoton,
            idHora
        };
        enum eColor {
            verde=0,
            rojo
        };
        const int zonaHora=2;
        const int zonaBoton=3;
        const int zonaColor=4;
        std::thread hilo;
//        wxStatusBarGeneric *sb;
        wxStatusBar *sb;
        wxStaticBitmap* bm;
        wxButton* bt;
        wxStaticText* st;
        int color;
        void OnSize(wxSizeEvent& event);
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnRojo(wxCommandEvent& event);
        void OnVerde(wxCommandEvent& event);
        void OnBoton(wxCommandEvent& event);
        void ActualizaColor();
        void Hora();
        DECLARE_EVENT_TABLE()
};


#endif // WX015MAIN_H
